export default class socketHandler {
  constructor(socket) {
    this.socket = socket;

    this.socket.addEventListener("message", (event) => {
      try {
        console.log("Message from server", event.data);
        let messages = document.getElementById("messages");
        let message = document.createElement("li");
        message.textContent = "Received: " + event.data;
        messages.appendChild(message);
      } catch (error) {
        console.log("Error", error);
      }
    });
  }

  sendMessage(message) {
    this.socket.send(message);
    console.log("Message sent", message);
  }

  ping() {
    let message = `{ "call": "send", "type": "log", "data": "This is a ping!!" }`;
    this.socket.send(message);
    console.log("Message sent", message);
  }
}
